Bug 17222 - treat status code 308 consistently with 301, 302, and 307
treat status code 308 consistently with 301, 302, and 307
Status: RESOLVED FIXED
Product: WebAppsWG
Classification: Unclassified
Component: XHR
unspecified
All All
: P2 normal
: ---
Assigned To: Anne
public-webapps-bugzilla
http://www.w3.org/TR/XMLHttpRequest/#...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 12:25 UTC by Julian Reschke
Modified: 2012-10-09 14:58 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Reschke 2012-05-28 12:25:51 UTC
The spec has specific requirements for HTTP status codes 301, 302, and 307. Status code 308 should be added here.

Approved IETF spec: <https://datatracker.ietf.org/doc/draft-reschke-http-status-308/>

IANA registry: <http://www.iana.org/assignments/http-status-codes/http-status-codes.xml>

Related mozilla bug: <https://bugzilla.mozilla.org/show_bug.cgi?id=758973>
Comment 1 Anne 2012-05-28 14:11:59 UTC
So now each time we talk about redirects we have to reference two documents? Is there not some better way?
Comment 2 Julian Reschke 2012-05-28 14:34:16 UTC
(In reply to comment #1)
> So now each time we talk about redirects we have to reference two documents? Is
> there not some better way?

In theory you could just talk about the semantics of the status code (does it really have "redirection semantics" as per category 1 in <http://greenbytes.de/tech/webdav/draft-ietf-httpbis-p2-semantics-19.html#status.3xx>), and point the reader to the IANA registry for status codes. 

The bigger issue here is that, optimally, HTTPbis would answer this question for unknown 3xx codes as well (because, after all, introducing 308 shouldn't require special support from browsers). But then, with the addition of 308, the set of "real" redirect codes should be complete anyway.
Comment 3 Anne 2012-09-13 12:45:49 UTC
https://github.com/whatwg/xhr/commit/9911e0e70b4685605a2feb4cbb49c6373ea42813

Leaving open to see if the HTTP issue gets resolved somehow.
Comment 4 Julian Reschke 2012-09-13 12:53:19 UTC
(In reply to comment #3)
> https://github.com/whatwg/xhr/commit/9911e0e70b4685605a2feb4cbb49c6373ea42813
> 
> Leaving open to see if the HTTP issue gets resolved somehow.

I don't believe that the HTTPbis specs are going to change with respect to this. HTTPbis is close to WGLC, so if you believe it *should* say more here it would be good to send feedback to the WG mailing list.
Comment 5 Anne 2012-09-13 12:57:49 UTC
Also fixed this in CORS btw: https://github.com/whatwg/fetch/commit/1bc9976cc455da53cc907204e23736dd49cb6dcd

(You'll be added to the acknowledgments next commit, forgot.)
Comment 6 Anne 2012-10-09 14:58:08 UTC
As long as HTTP does not say anything I guess browsers will treat the others as not redirecting either so resolving this as fixed. Further changes to redirect handling are probably best discussed separately.